Delete Namespace
Delete a namespace and remove its association from all files. The 'default' namespace cannot be deleted.
Delete a namespace. The default namespace cannot be deleted. Files previously assigned to this namespace will have the association removed but are not deleted.
Example Request
curl -X DELETE "https://api.vidnavigator.com/v1/namespaces/64a1b2c3d4e5f6789abc0003" \
-H "X-API-Key: YOUR_API_KEY"Success Response
{
"status": "success",
"message": "Namespace deleted successfully"
}API reference
ApiKeyAuthheader
X-API-Key<token>API key authentication. Include your VidNavigator API key in the X-API-Key header.
namespace_id*stringThe ID of the namespace to delete
Namespace deleted successfully
application/json- response
status?"success"Value in
"success"message?stringcurl -X DELETE 'https://api.vidnavigator.com/v1/namespaces/string'Example Response
{ "status": "success", "message": "string"}